For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd/Edit Bank Details
      • PATCHChange the auto-withdrawal setting
      • POSTCreate a bank transfer method
      • DELDelete Bank Details
      • POSTDynamic Requirements
      • GETFetch all payout methods
      • GETGet Bank Details
      • GETGet bank transfer requirements
      • GETGet bank transfer supported routes for contractor
      • GETGet the auto-withdrawal setting
      • GETList Contractor Balances
      • POSTRequest to withdraw funds
      • PUTUpdate a bank transfer method
      • POSTUpdate auto withdraw setting for contractor
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPayouts

Request to withdraw funds

POST
/payouts/withdrawals
POST
/rest/v2/payouts/withdrawals
$curl -X POST https://api.letsdeel.com/rest/v2/payouts/withdrawals \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "amount": 100,
> "currency": "USD",
> "withdrawal_method_id": "123e4567-e89b-12d3-a456-426614174000"
> }
>}'
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "amount": 100,
5 "currency": "USD",
6 "created_at": "2021-01-01T00:00:00.000Z",
7 "updated_at": "2021-01-01T00:00:00.000Z"
8 }
9}

Initiates a withdrawal of available funds to the employee’s configured payout method. The operation is asynchronous; the outcome is delivered via webhook rather than the synchronous response. Token scopes: worker:write

Was this page helpful?
Previous

Update a bank transfer method

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired

Response

Withdrawal successfully initiated
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication